<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}
if ( !function_exists( 'signteer_fs' ) ) {
    // Create a helper function for easy SDK access.
    function signteer_fs() {
        global $signteer_fs;
        if ( !isset( $signteer_fs ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/vendor/freemius/start.php';
            $signteer_fs = fs_dynamic_init( array(
                'id'               => '32053',
                'slug'             => 'signteer',
                'premium_slug'     => 'signteer-pro',
                'type'             => 'plugin',
                'public_key'       => 'pk_3a84d74532fdc24ab5feca045a41d',
                'is_premium'       => false,
                'premium_suffix'   => 'Signteer Pro',
                'has_addons'       => false,
                'has_paid_plans'   => true,
                'is_org_compliant' => true,
                'menu'             => array(
                    'first-path' => 'plugins.php',
                    'contact'    => false,
                    'support'    => false,
                ),
                'is_live'          => true,
            ) );
        }
        return $signteer_fs;
    }

    // Init Freemius.
    signteer_fs();
    // Signal that SDK was initiated.
    do_action( 'signteer_fs_loaded' );
}